io.vertx.rxjava.kafka.client.producer

## Class KafkaProducerRecord<K,V>

- java.lang.Object
- - io.vertx.rxjava.kafka.client.producer.KafkaProducerRecord<K,V>

-     public class KafkaProducerRecord<K,V>
      extends Object

  Vert.x Kafka producer record.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<KafkaProducerRecord>` | `__TYPE_ARG`
    `TypeArg<K>` | `__typeArg_0`
    `TypeArg<V>` | `__typeArg_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaProducerRecord(KafkaProducerRecord delegate)`
    `KafkaProducerRecord(KafkaProducerRecord delegate, TypeArg<K> typeArg_0, TypeArg<V> typeArg_1)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> KafkaProducerRecord<K,V>` | `create(String topic, K key, V value)` Create a concrete instance of a Vert.x producer record
    `static <K,V> KafkaProducerRecord<K,V>` | `create(String topic, K key, V value, Long timestamp, Integer partition)` Create a concrete instance of a Vert.x producer record
    `static <K,V> KafkaProducerRecord<K,V>` | `create(String topic, V value)` Create a concrete instance of a Vert.x producer record
    `KafkaProducerRecord` | `getDelegate()`
    `K` | `key()`
    `static <K,V> KafkaProducerRecord<K,V>` | `newInstance(KafkaProducerRecord arg)`
    `static <K,V> KafkaProducerRecord<K,V>` | `newInstance(KafkaProducerRecord arg, TypeArg<K> __typeArg_K, TypeArg<V> __typeArg_V)`
    `Integer` | `partition()`
    `Long` | `timestamp()`
    `String` | `topic()`
    `V` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<KafkaProducerRecord> __TYPE_ARG

    - #### __typeArg_0

          public final TypeArg<K> __typeArg_0

    - #### __typeArg_1

          public final TypeArg<V> __typeArg_1

  - ### Constructor Detail

    - #### KafkaProducerRecord

          public KafkaProducerRecord(KafkaProducerRecord delegate)

    - #### KafkaProducerRecord

          public KafkaProducerRecord(KafkaProducerRecord delegate,
                                     TypeArg<K> typeArg_0,
                                     TypeArg<V> typeArg_1)

  - ### Method Detail

    - #### getDelegate

          public KafkaProducerRecord getDelegate()

    - #### create

          public static <K,V> KafkaProducerRecord<K,V> create(String topic,
                                                              K key,
                                                              V value,
                                                              Long timestamp,
                                                              Integer partition)

      Create a concrete instance of a Vert.x producer record
      Parameters:
        `topic` - the topic this record is being sent to
        `key` - the key (or null if no key is specified)
        `value` - the value
        `timestamp` - the timestamp of this record
        `partition` - the partition to which the record will be sent (or null if no partition was specified)
      Returns:
        Vert.x producer record

    - #### create

          public static <K,V> KafkaProducerRecord<K,V> create(String topic,
                                                              K key,
                                                              V value)

      Create a concrete instance of a Vert.x producer record
      Parameters:
        `topic` - the topic this record is being sent to
        `key` - the key (or null if no key is specified)
        `value` - the value
      Returns:
        Vert.x producer record

    - #### create

          public static <K,V> KafkaProducerRecord<K,V> create(String topic,
                                                              V value)

      Create a concrete instance of a Vert.x producer record
      Parameters:
        `topic` - the topic this record is being sent to
        `value` - the value
      Returns:
        Vert.x producer record

    - #### topic

          public String topic()

      Returns:
        the topic this record is being sent to

    - #### key

          public K key()

      Returns:
        the key (or null if no key is specified)

    - #### value

          public V value()

      Returns:
        the value

    - #### timestamp

          public Long timestamp()

      Returns:
        the timestamp of this record

    - #### partition

          public Integer partition()

      Returns:
        the partition to which the record will be sent (or null if no partition was specified)

    - #### newInstance

          public static <K,V> KafkaProducerRecord<K,V> newInstance(KafkaProducerRecord arg)

    - #### newInstance

          public static <K,V> KafkaProducerRecord<K,V> newInstance(KafkaProducerRecord arg,
                                                                   TypeArg<K> __typeArg_K,
                                                                   TypeArg<V> __typeArg_V)

Copyright © 2017. All rights reserved.